package ru.landgrafhomyak.db.skeleton1.api.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.skeleton1.api.ReflectionApi
import ru.landgrafhomyak.db.skeleton1.api.ObjectOperations

public interface TableScopedObject<oUE : Any?, tUE : Any, IK : Any> {
	public val uExt: oUE

	@ReflectionApi
	public val name: String

	@ReflectionApi
	public val table: Table<tUE, *, IK>

	@ReflectionApi
	public val meta: ObjectOperations.ImplementationsProvider<oUE>

	@ReflectionApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("willBeDeletedAfterUpgrade")
	public val willBeDeletedAfterUpgrade: Boolean
}